/*
 *	EasyScout Boy Scouts of America tracking software.
 *	http://www.easyscout.org/
 *
 *	Copyright (C) 2000 Conan C. Albrecht
 *	conan@warp.cx
 *
 *	This program is released under the GNU license so tech-savvy
 *	Boy Scouts and others can enhance the program for the use
 *	of all.  Please e-mail changes to my address above so I can
 *	reintegrate into the main program at http://www.easyscout.org/.
 *	This way, all users mutually benefit one another in the spirit of
 *	scouting.
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 * 	Any and all changes to the program code must be documented with
 *  date, author name and e-mail, and a short description.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package cx.warp.scout;

/** Signals an error while retrieving data from a data source */
public class DataException extends java.lang.Exception {
	
	Exception nested = null;
	String text = "";

	/** Constructor */
	public DataException() {
		super();
	}//DataException constructor
	
	/** Constructor */
	public DataException(String error) {
		super();
		this.text = error;
	}//DataException constructor
	
	/** Constructor */
	public DataException(Exception e) {
		super();
		this.nested = e;
	}//DataException constructor
	
	/** Constructor */
	public DataException(String error, Exception e) {
		super();
		this.text = error;
		this.nested = e;
	}//DataException constructor
	
	/** Prints debug to the console */
	public String toString() {
		String st = "[cx.warp.scout.DataException] " + text;
		if (nested != null) {
			st += "\n  Nested exception is " + nested.toString();
		}//if
		return st;
	}//toSTring
	
	/** Prints debug to the console */
	public void printStackTrace() {
		printStackTrace(System.err);
	}//printStackTrace
		
	/** Prints debug to the console */
	public void printStackTrace(java.io.PrintStream out) {
		out.println("[cx.warp.scout.DataException] " + text);
		if (nested != null) {
			out.println("Nested exception is:");
			nested.printStackTrace(out);
		}//if
	}//toSTring

}//DataException
