/*
 *	EasyScout Boy Scouts of America tracking software.
 *	http://www.easyscout.org/
 *
 *	Copyright (C) 2000 Conan C. Albrecht
 *	conan@warp.cx
 *
 *	This program is released under the GNU license so tech-savvy
 *	Boy Scouts and others can enhance the program for the use
 *	of all.  Please e-mail changes to my address above so I can
 *	reintegrate into the main program at http://www.easyscout.org/.
 *	This way, all users mutually benefit one another in the spirit of
 *	scouting.
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 * 	Any and all changes to the program code must be documented with
 *  date, author name and e-mail, and a short description.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package cx.warp.scout;

import java.util.*;

public interface MeritBadge extends Identifiable {

	/** Sets the name of merit badge */
	public void setName(String name) throws DataException;
	
	/** Returns the name of this merit badge */
	public String getName() throws DataException;
	
	/** Sets the date the merit badge was earned */
	public void setEarnedDate(Date earned) throws DataException;
	
	/** Returns the date the merit badge was earned */
	public Date getEarnedDate() throws DataException ;
	
	/** Sets the counselor of this merit badge */
	public void setCounselor(String counselor) throws DataException;
	
	/** Returns the counselor of the merit badge */
	public String getCounselor() throws DataException ;
	
	/** Sets whether this badge is required or not */
	public void setRequired(boolean required) throws DataException;
	
	/** Returns whether this badge is required or not */
	public boolean isRequired() throws DataException;
	
}//MeritBadge interface
