/*
 *	EasyScout Boy Scouts of America tracking software.
 *	http://www.easyscout.org/
 *
 *	Copyright (C) 2000 Conan C. Albrecht
 *	conan@warp.cx
 *
 *	This program is released under the GNU license so tech-savvy
 *	Boy Scouts and others can enhance the program for the use
 *	of all.  Please e-mail changes to my address above so I can
 *	reintegrate into the main program at http://www.easyscout.org/.
 *	This way, all users mutually benefit one another in the spirit of
 *	scouting.
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 * 	Any and all changes to the program code must be documented with
 *  date, author name and e-mail, and a short description.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package cx.warp.scout.file;

import cx.warp.scout.*;
import java.util.*;
import java.io.*;

/** Represents an activity such as a camping trip, hike, etc.
		Note that the activities section needs a serious overhaul.
	*/
public class FileActivity implements cx.warp.scout.Activity, Serializable {

	public static final long serialVersionUID = -2102979197133012515L;

	protected FileScout scout = null;
	protected String id = Utils.getGUID();
	protected String name = null;
	protected Date date = null;
	protected String description = null;
	
	/** Constructor */
	public FileActivity(FileScout scout)  {
		this.scout = scout;
	}//Activity
	
	/** Returns the unique id of this activity */
	public String getID() {
		return id;
	}//getID
	
	/** Sets the name of this activity */
	public void setName(String name) throws DataException{
		this.name = name;
	}//setName
	
	/** Returns the name of this activity */
	public String getName() throws DataException{
		return name;
	}//getName
	
	/** Sets the description for this activity */
	public void setDescription(String desc) throws DataException{
		this.description = desc;
	}//setDescription
	
	/** Returns the description for this activity */
	public String getDescription() throws DataException{
		return description;
	}//getDescription
	
	/** Sets the date of this activity */
	public void setDate(Date activityDate) throws DataException{
		this.date = activityDate;
	}//setDate
	
	/** Returns the date of this activity */
	public Date getDate() throws DataException{
		return date;
	}//getDate

	/** Writes my information to an XML buffer */
	public void writeXML(PrintWriter out) throws DataException {
		out.println("    <Activity id=\"" + Utils.xml(id) + "\">");
		out.println("      <Date>" + Utils.xml(date) + "</Date>");
		out.println("      <Name>" + Utils.xml(name) + "</Name>");
		out.println("      <Description>" + Utils.xml(description) + "</Description>");
		out.println("    </Activity>");
	}//writeXML


}//Activity
